MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions
Collate.hxx File Reference
`#include "check.h"`
`#include "Compiler.h"`
Include dependency graph for Collate.hxx:

Go to the source code of this file.

## Data Structures
class | AllocatedString< T >
| A string pointer whose memory is managed by this class. More...

## Functions
void | IcuCollateInit ()
| Throws #std::runtime_error on error. More...
void | IcuCollateFinish ()
gcc_pure gcc_nonnull_all int | IcuCollate (const char *a, const char *b)
gcc_pure gcc_nonnull_all AllocatedString< char > | IcuCaseFold (const char *src)

## Function Documentation

gcc_pure gcc_nonnull_all AllocatedString<char> IcuCaseFold | ( | const char * | src | ) |

gcc_pure gcc_nonnull_all int IcuCollate | ( | const char * | a,
|  | const char * | b
| ) |  |

void IcuCollateFinish | ( |  | ) |

void IcuCollateInit | ( |  | ) |

Throws #std::runtime_error on error.